> ## Documentation Index
> Fetch the complete documentation index at: https://www.ayrshare.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Auto Hashtags

> Add relevant AI-generated hashtags to your post text, embedded within the text or placed at the end, with a max hashtag count and post language code.

When creating your post, add relevant hashtags by either embedding them within the text or placing them at the end.
Our advanced AI system will analyze your content to generate appropriate hashtags based on the subject matter.
Although you can use any language for your post, writing in English typically yields the best results for our hashtag generation process.

## Header Parameters

**Authorization** `string` *required*

[API Key](https://www.ayrshare.com/docs/apis/overview.md#authorization) of the Primary Profile.

Format: `Authorization: Bearer API_KEY`
**Profile-Key** `string`

[Profile Key](https://www.ayrshare.com/docs/apis/overview.md#profile-key-format) of a User Profile.

Format: `Profile-Key: PROFILE_KEY`

## Body Parameters

**post** `string` *required*

Post text to add the hashtags. Max length 1,000 characters.

**position** `string`

validate

**max** `integer` (default: 2)

Integer of max number of Hashtags to add. Max value range 1 to 10. Note: Instagram allows a maximum of 5 hashtags per post.

**language** `string`

Specify the [language code](https://www.ayrshare.com/docs/iso-codes/language.md) of the language of the post to assist the hashtag algorithm.

```json theme={"system"}
{
  "language": "fr"
}
```

```bash cURL theme={"system"}
curl \
-H "Authorization: Bearer API_Key" \
-d '{"post": "Today is a great day!", "max": 3, "position": "auto"}'
-X POST https://api.ayrshare.com/api/hashtags/auto
```

```javascript JavaScript theme={"system"}
const API_KEY = "API_KEY";
fetch(`https://api.ayrshare.com/api/hashtags/auto`, {
      method: "POST",
      headers: {
        "Authorization": `Bearer ${API_KEY}`
      },
      body: JSON.stringify({
        post: "Today is a great day!", // required
        max: 3,           // optional, range 1-5
        position: "auto"  // optional, "auto" or "end"
      })
    })
      .then((res) => res.json())
      .then((json) => console.log(json))
      .catch(console.error);
```

```python Python theme={"system"}
import requests

payload = {
        'post': 'Today is a great day!',
        'max': 3,           # optional, range 1-5
        'position': 'auto'  # optional, 'auto' or 'end'
}
headers = {'Content-Type': 'application/json',
        'Authorization': 'Bearer API_KEY'}

r = requests.post('https://api.ayrshare.com/api/hashtags/auto',
    json=payload,
    headers=headers)

print(r.json())
```

```php PHP theme={"system"}
<?php
require 'vendor/autoload.php';// Composer auto-loader using Guzzle. See .../guzzlephp.org/en/stable/overview.html

$client = new GuzzleHttp\Client();
$res = $client->request(
    'POST',
    'https://api.ayrshare.com/api/hashtags/auto',
    [
        'headers' => [
            'Content-Type'  => 'application/json',
            'Authorization' => 'Bearer API_KEY'
        ],
        'json' => [
            'post' => 'Today is a great day!',
            'max'  => 3,
            'position' => 'auto'
        ]
    ]
);

echo json_encode(json_decode($res->getBody()), JSON_PRETTY_PRINT);
```

```javascript 200 Hashtagged Post Returned theme={"system"}
{
    post: "Disney’s trouble with Oswald the #LuckyRabbit is a great lesson #ForStartups in a crisis"
}
```


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.